
:- use_module(library(plunit)).


%% Just compile this file and call run_tests. to run every tests 

%% The commented Methods either arent finished or still have some unfixed problems

%% Make sure you run the tests in an sicstus Toplevel with prolog-mlpack-libary as its last path
%% If not then the path to the iris2.csv will not be correct


:- use_module('src/methods/adaboost/adaboost_test.pl').

:- use_module('src/methods/approx_kfn/approx_kfn_test.pl').

:- use_module('src/methods/bayesian_linear_regression/bayesian_linear_regression_test.pl').

:- use_module('src/methods/dbscan/dbscan_test.pl').

:- use_module('src/methods/decision_tree/decision_tree_test.pl').

:- use_module('src/methods/emst/emst_test.pl').

:- use_module('src/methods/fastmks/fastmks_test.pl').

:- use_module('src/methods/hoeffding_tree/hoeffding_tree_test.pl').

:- use_module('src/methods/kde/kde_test.pl').

:- use_module('src/methods/kernel_pca/kernel_pca_test.pl').

:- use_module('src/methods/kfn/kfn_test.pl').

:- use_module('src/methods/kmeans/kmeans_test.pl').

:- use_module('src/methods/knn/knn_test.pl').

:- use_module('src/methods/lars/lars_test.pl').

:- use_module('src/methods/linear_regression/linear_regression_test.pl').

:- use_module('src/methods/linear_SVM/linear_SVM_test.pl').

:- use_module('src/methods/lmnn/lmnn_test.pl').

%%
%% lcc seems to have compatibility problems with kmeans and dbscan so comment lcc out when testing them
%%
%%:- use_module('src/methods/local_coordinate_coding/local_coordinate_coding_test.pl').

:- use_module('src/methods/logistic_regression/logistic_regression_test.pl').

:- use_module('src/methods/lsh/lsh_test.pl').

:- use_module('src/methods/mean_shift/mean_shift_test.pl').

:- use_module('src/methods/naive_bayes_classifier/naive_bayes_classifier_test.pl').

:- use_module('src/methods/nca/nca_test.pl').

:- use_module('src/methods/nmf/nmf_test.pl').

:- use_module('src/methods/pca/pca_test.pl').

:- use_module('src/methods/perceptron/perceptron_test.pl').

:- use_module('src/methods/radical/radical_test.pl').

:- use_module('src/methods/random_forest/random_forest_test.pl').

:- use_module('src/methods/softmax_regression/softmax_regression_test.pl').

%%
%% better to run the sparse_coding tests alone because the c++ Method writes out alot of Debug messages that make the tests hard to read.
%%
%%:- use_module('src/methods/sparse_coding/sparse_coding_test.pl').

:- use_module('src/helper_files/helper_tests.pl').


